Subject: RE: Cygrunsrv and backups
From: "Craveiro, Marco" <[email-masked]>
To: "'Don Sharp'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 26 Apr 2002 19:48:39 +0200

oh mate, thanks for that, could have saved me hours of digging -
unfortunately i receive the cygwin digest at the end of the day :-( need to
change that. 

anyway, there's just one thing i dont understand on your script:

	mt -f /dev/nst0 tell

why do you need this?

cheers!
> -----Original Message-----
> From:	Don Sharp [SMTP:[email-masked]]
> Sent:	26 April 2002 06:09
> To:	gnuwin32
> Subject:	Re: Cygrunsrv and backups
> 
> If you have experience of backing up using tar on Unix then you can do
> the same with cygwin. Tape positioning with "mt" on the no-rewind
> editions of the tape device (e.g. /dev/nst0).
> 
> My backup script looks like
> 
> #!/usr/bin/sh
> mt -f /dev/nst0 status
> echo "Archive T: starting at `date`"
> cd /dost
> tar cf /dev/nst0 *
> mt -f /dev/nst0 tell
> sleep 30
> echo "Archive D: starting at `date`"
> cd /cygdrive/d
> tar cf /dev/nst0 *
> mt -f /dev/nst0 tell
> sleep 30
> echo "Archive finished at `date`"
> mt -f /dev/nst0 rewoffl
> 
> The sleeps may not be necessary but I have had problems in the pass with
> streaming tapes when I haven't include them.
> 
> Hope that helps
> 
> Don Sharp
> 
> "Craveiro, Marco" wrote:
> > 
> > Huh, before I starting getting flamed, may I just add that there is
> plenty
> > of documentation about ssh and cron on the mailing list, I just made the
> > mistake of using google instead of searching the mailing list directly.
> > Apologies.
> > 
> > I am still searching for docs on backing up, so if you got info on that
> > please let me know.
> > 
> > Thanks!
> > 
> > marco
> > 
> > -----Original Message-----
> > From: Craveiro, Marco
> > Sent: 26 April 2002 09:37
> > To: [email-masked]
> > Subject: Cygrunsrv and backups
> > 
> > Hello cygwiners!
> > 
> > First many thanks for a great product, its getting greater with each
> > release. Contrary to some people on this list I have had no problems
> with
> > it. in fact, I have just finished installing it on a production server
> (nt
> > 4.0) and two workstations (w2k and XP) without any problems whatsoever;
> > setup.exe is brilliant. Also, huge thanks for the person that put in the
> > script that configures TeX, I was just about to start reading the
> howto's
> > :-))
> > 
> > Now, for my problem: I need to start backing up data using cygwin. I did
> a
> > search on the web but there are no obvious docs about it. Can someone
> point
> > me to:
> > 
> > - docs (or posts) talking about setting up cron and ssh as a service, or
> > describing cygrunsrv with different services. I have found a brilliant
> howto
> > for
> > Inetd, is there something like that for these other services?
> > - docs (or posts) talking about backing up data using cygwin: how do you
> > rewind the tape, Append data, etc.
> > 
> > If none or some of it is not possible please let me know.
> > 
> > Thanks for your time!
> > 
> > Marco
> > 
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/